v4.0
get
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/shipment-statuses
Lists available order status values. Rights: OrsInventoryGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object OrderStatus
Order status details object.
Nested Schema : OrderStatus
Type:
objectOrder status details object.
Show Source
-
id: integer
(int64)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Unique ID corresponding to each Order status value (1 for PENDING, 2 for IN TRANSIT, 3 for RECEIVED, 4 for CANCELLED, 5 for LOST, 6 for CONFIRMED, 7 for INVALID, 8 for PENDING DESTRUCTION, 9 for RECEIVED FOR DESTRUCTION, 10 for DESTROYED).Example:5 -
status: string
Allowed Values:
[ "PENDING", "IN TRANSIT", "RECEIVED", "CANCELLED", "LOST", "CONFIRMED", "INVALID", "PENDING DESTRUCTION", "RECEIVED FOR DESTRUCTION", "DESTROYED", "QUARANTINED" ]Order statusExample:PENDING
Examples
404 Response
Order not found
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples